> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rhino.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtain token and chain details for swapping and/or bridging activity for a specific token on a specific chain

> This endpoint provides key information a chain or token that Rhino.fi supports swapping and/or bridging across as well as field names that should be used in other endpoints.



## OpenAPI

````yaml https://api.rhino.fi/bridge/swagger.json get /config/{chain}/{token}
openapi: 3.1.0
info:
  title: Bridge API
  version: 0.0.1
  description: Functionality for interacting with Rhino bridge service
servers:
  - url: https://api.rhino.fi/bridge
security: []
tags:
  - name: quote
  - name: configs
  - name: history
  - name: swap
  - name: depositAddresses
paths:
  /config/{chain}/{token}:
    get:
      tags:
        - configs
      summary: >-
        Obtain token and chain details for swapping and/or bridging activity for
        a specific token on a specific chain
      description: >-
        This endpoint provides key information a chain or token that Rhino.fi
        supports swapping and/or bridging across as well as field names that
        should be used in other endpoints.
      operationId: configs.configTokenChain
      parameters:
        - name: chain
          in: path
          schema:
            type: string
            description: >-
              The blockchain that details should be provided for, e.g.
              "ETHEREUM".
          required: true
          description: The blockchain that details should be provided for, e.g. "ETHEREUM".
        - name: token
          in: path
          schema:
            type: string
            description: The token that details should be provided for.
          required: true
          description: The token that details should be provided for.
      responses:
        '200':
          description: ExtendedTokenEntry
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExtendedTokenEntry'
        '400':
          description: The request did not match the expected schema
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/HttpApiDecodeError'
                  - $ref: '#/components/schemas/InvalidTokenForChain'
                  - $ref: '#/components/schemas/InvalidToken'
      security: []
components:
  schemas:
    ExtendedTokenEntry:
      type: object
      required:
        - decimals
        - coingeckoId
        - token
        - address
        - chain
      properties:
        decimals:
          type: number
          description: The number of decimal places for the token.
        coingeckoId:
          type: string
          description: API ID of the token within the CoinGecko listing page.
        maxDepositLimit:
          type: number
          description: >-
            The maximum amount of that token that can be deposited into an SDA
            or bridged with Rhino.fi.
        maxWithdrawLimit:
          type: number
          description: >-
            The maximum amount of that token that can be withdrawn from an SDA
            or bridged with Rhino.fi.
        minAmountUsdInContract:
          type: number
          description: >-
            Minimum USD amount required in the contract for this token on this
            chain.
        allowedRouteChains:
          type: array
          items:
            type: string
          description: >-
            Whitelist of chains this token may be sent to / received from on
            this chain. If absent, all chains are allowed.
        token:
          type: string
          description: The identifier for the token.
        address:
          type: string
          description: The contract address for the token on the given chain.
        chain:
          type: string
          description: The name of the chain.
      additionalProperties: false
    HttpApiDecodeError:
      type: object
      required:
        - issues
        - message
        - _tag
      properties:
        issues:
          type: array
          items:
            $ref: '#/components/schemas/Issue'
        message:
          type: string
        _tag:
          type: string
          enum:
            - HttpApiDecodeError
      additionalProperties: false
      description: The request did not match the expected schema
    InvalidTokenForChain:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - InvalidTokenForChain
      additionalProperties: false
    InvalidToken:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - InvalidToken
      additionalProperties: false
    Issue:
      type: object
      required:
        - _tag
        - path
        - message
      properties:
        _tag:
          type: string
          enum:
            - Pointer
            - Unexpected
            - Missing
            - Composite
            - Refinement
            - Transformation
            - Type
            - Forbidden
          description: The tag identifying the type of parse issue
        path:
          type: array
          items:
            $ref: '#/components/schemas/PropertyKey'
          description: The path to the property where the issue occurred
        message:
          type: string
          description: A descriptive message explaining the issue
      additionalProperties: false
      description: >-
        Represents an error encountered while parsing a value to match the
        schema
    PropertyKey:
      anyOf:
        - type: string
        - type: number
        - type: object
          required:
            - _tag
            - key
          properties:
            _tag:
              type: string
              enum:
                - symbol
            key:
              type: string
          additionalProperties: false
          description: an object to be decoded into a globally shared symbol

````